Skip to navigation

Create Coupon Code

Create a new code for the promotion.

Note: The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

promotion_idstringRequired
The ID of the associated promotion.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
codestringRequiredformat: "[a-zA-Z0-9_\ -]"<=50 characters
A unique code that can be used to manually apply a discount. Only letters, numbers, white spaces, underscores, and hyphens are allowed.
max_usesintegerOptional

The maximum number of times you can use this coupon code. The default value is 0, which represents unlimited uses. The parent promotion’s max_uses field overrides the coupon code’s max_uses field.

max_uses_per_customerintegerOptional
The maximum number of times a specific customer can use this coupon code. The default value is 0, which represents unlimited uses.

Response

The requested coupon code.
dataobjectOptional

A CouponCode object encapsulates attributes of a coupon code.

metaobjectOptional
Empty meta object, which may be used at a later time.